﻿using Dynamicweb.Environment;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Dynamicweb.Ecommerce.LiveIntegration.Configuration
{
    internal class Global
    {
        public static bool IsIntegrationActive
        {
            get
            {                                
                if (ExecutingContext.IsBackEnd())
                    return false;

                return true;
            }
        }

        public static bool IsIntegrationForAnonymousUsersAllowed
        {
            get
            {
                return Convert.ToBoolean(Helpers.GetConfigValue(Constants.WebServiceConfiguration.Path, Constants.WebServiceConfiguration.AllowIntegrationForAnonymousUsers));
            }
        }
    }
}
